Bug 1302438 - 7.2.2 etcd-docker tracker bug
7.2.2 etcd-docker tracker bug
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: etcd-docker (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jan Chaloupka
Depends On:
  Show dependency treegraph
Reported: 2016-01-27 17:08 EST by Avesh Agarwal
Modified: 2016-02-16 12:50 EST (History)
1 user (show)

See Also:
Fixed In Version: etcd-docker-2.2.2-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-02-16 12:50:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Avesh Agarwal 2016-01-27 17:08:31 EST
Description of problem:
Bug tracking the 7.2.2 release of the etcd-docker image.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 3 Joy Pu 2016-02-02 06:58:00 EST
Run a set of acceptance test with etcd-docker-2.2.4. And it all passed.
Test description:
1. Start etcd container
Start the container in following ways
a) Start etcd container directly
b) sharing ports with host
c) sharing network with host

2. Key value test for etcd
Star etcd container and sharing network with host and do following tests:
1) Check etcd version info via curl/etcdctl
2) Set/get/update/remove key value via curl/etcdctl
3) Watch key value via curl/etcdctl
4) TTL test for key value

3.cluster test
Set up a etcd cluster with three node
a) setup with static method
b) setup with etcd discovery and shared network with host
c) setup with etcd discovery and shared network without host

4. Etcd server can be access with https
1) Prepare the TLS crts and keys and put it in a dirctory
2) Start the container with -v to share the crts and keys with host and make the etcd command included --cert-file and --key-file
3) Set/get/update/remove the key value via curl from https link

5. Test etcd with kubernetes and flanneld
1) Setup a test k8s cluster env with 1 master and 2 node and check all services are running. k8s and flannel are runs in host and etcd is running inside a container shared network with host
2) Setup flannel networking based on etcd service. Check the flannel in master and node are correct as the configure.
3) Try to deploy a simple kubernetes RC for web server.

6. Etcd proxy test
1) Start an etcd cluster have three nodes
2) Start an etcd proxy with -proxy and --listen-client-urls
3) Try to get values from the etcd proxy link

So set it to verified
Comment 4 Avesh Agarwal 2016-02-12 11:14:33 EST
There is a new version of etcd-dockeer: 2.2.2-5 built with the base image version: 7.2-43.
Comment 6 errata-xmlrpc 2016-02-16 12:50:01 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.